# ScriptBuilder

# Class ScriptBuilder

Namespace: TecnoPack
Assembly: CO0002_Templ_FlowpackHMI_V00_9_3.dll

Classe statica responsabile della generazione di script batch dinamici
utilizzati per presentare opzioni all’utente e gestire l’input.

    public static class ScriptBuilder

#### Inheritance

object ←
ScriptBuilder

#### Inherited Members

object.GetType(),
object.MemberwiseClone(),
object.ToString(),
object.Equals(object?),
object.Equals(object?, object?),
object.ReferenceEquals(object?, object?),
object.GetHashCode()

## Methods

### FilterOptionsByLetters(string, string[])

Filtra l’elenco delle opzioni in base alle lettere selezionate dall’utente.
Ogni lettera corrisponde a un indice nell’array delle opzioni.

    public static string[] FilterOptionsByLetters(string inputLetters, string[] options)

#### Parameters

`inputLetters` string

Lettere immesse dall’utente, ad esempio “AC”.

`options` string[]

Array di stringhe con tutte le opzioni disponibili.

#### Returns

string[]

Array di opzioni selezionate, senza duplicati.

#### Examples

    var options = new[] { "Flowpack", "RDS", "Shrinkwrapper", "Packer" };
    var selected = ScriptBuilder.FilterOptionsByLetters("AC", options);
    // selected = [ "Flowpack", "Shrinkwrapper" ]

### GenerateOptionScript(string, string[])

Genera uno script batch che presenta un messaggio e una lista di opzioni numerate all’utente.
L’utente può selezionare una o più opzioni utilizzando lettere corrispondenti.

    public static string GenerateOptionScript(string message, string[] options)

#### Parameters

`message` string

Messaggio da visualizzare prima delle opzioni.

`options` string[]

Array di stringhe contenente le opzioni disponibili.

#### Returns

string

Script batch sotto forma di stringa.

#### Exceptions

ArgumentException

Sollevata se l’array delle opzioni è nullo o vuoto.